Rem  Copyright (c) Oracle Corporation 2014. All Rights Reserved.
Rem
Rem    NAME
Rem      ords_verify_install.sql
Rem
Rem    DESCRIPTION
Rem      This script invokes validate_ords to verify the ords installation completed successfully.
Rem      Do not invoke this script directly.  If you are doing a manual installation, use ords_manual_install.sql
Rem
Rem    NOTES
Rem      Assumes user with SYSDBA privilege is connected.
Rem
Rem    REQUIREMENTS
Rem      - Oracle Database Release 11.1 or later
Rem
Rem    Arguments:
Rem
Rem    MODIFIED    (MM/DD/YYYY)
Rem     epaglina    11/05/2014 - Created.
Rem
Rem

set termout on
set autocommit off
-- set serveroutput on

whenever sqlerror exit sql.sqlcode

alter session set current_schema = SYS;

begin
   dbms_output.put_line('INFO: ' || to_char(sysdate,'HH24:MI:SS') || ' Validating objects for Oracle REST Data Services.');
   validate_ords;
   dbms_output.put_line('INFO: ' || to_char(sysdate,'HH24:MI:SS') || ' Completed validation for Oracle REST Data Services.');
end;
/

COMMIT;
